View Issue Details

IDProjectCategoryView StatusLast Update
07798Development Survey editingpublic2015-03-04 12:15
ReporterDenisChenu Assigned To 
PrioritynormalSeverityminor 
Status newResolutionopen 
Product Version2.00 
Summary07798: Multi numeric attribute are in double
DescriptionIn Multiple numerical input some attribute are used for slider and some for multi numeric without slider.
But this attribute can be the same:
- Minimum value > Slider minimum value
- Maximum value > Slider maximum value

Slider left/right text separator : Add this to multi numerical question too.

Additional InformationCan take the bug:
but:
Answer prefix/Answer suffix don't have same function with or without slider : think it's a bad idea, Think adding a slider prefix/slider suffix and use Answer prefix/Answer suffix same way in slider and without slider is a best idea.
BUT break survey compatibility.
Did this allowed ?
TagsNo tags attached.

Relationships

related to 09259 closedDenisChenu Bug reports slider min/max can be set as non-numeric, which then breaks survey 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

There are no notes attached to this issue.

Related Changesets

LimeSurvey: 2.05 3c56da85

2013-04-29 09:49:05

DenisChenu

Details Diff
Fixed issue 07714: multi numeric slider broken
Dev: use same HTML than without slider (then can be updated without js)
Dev: is no min/max is set for question, set it to min/max slider (without js)
Dev: Have to hide the tip in js if min/max is the same
Affected Issues
07714, 07798
mod - application/helpers/expressions/em_manager_helper.php Diff File
mod - application/helpers/qanda_helper.php Diff File
add - scripts/numeric-slider.js Diff File
add - styles-public/numeric-slider.css Diff File

LimeSurvey: 2.05 59420520

2013-05-29 17:01:37

DenisChenu

Details Diff
Dev: fix some issue with slider and step.
Dev: Survey admin can make error on accuracy, but don't control error
Affected Issues
07798
mod - application/helpers/qanda_helper.php Diff File
mod - scripts/numeric-slider.js Diff File

Issue History

Date Modified Username Field Change
2013-04-24 19:15 DenisChenu New Issue
2013-04-29 12:01 DenisChenu Changeset attached => LimeSurvey 2.05 3c56da85
2013-06-01 12:23 DenisChenu Changeset attached => LimeSurvey 2.05 59420520
2014-09-27 16:41 DenisChenu Relationship added related to 09259
2015-03-04 12:15 DenisChenu Target Version 2.05 =>
2019-11-01 17:25 c_schmitz Category Survey design => Survey editing